/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.batch.tutorial.uc0001;

import java.util.Date;

import jp.terasoluna.fw.file.annotation.FileFormat;
import jp.terasoluna.fw.file.annotation.InputFileColumn;
import jp.terasoluna.fw.file.annotation.OutputFileColumn;

/**
 * gf[^t@Chpt@CsIuWFNgB
 */
@FileFormat(overWriteFlg = true, encloseChar = '\"')
public class JB0002Data {

    /**
     * ID
     */
    @InputFileColumn(columnIndex = 0)
    private int id = 0;

    /**
     * xX
     */
    @InputFileColumn(columnIndex = 1)
    private String siten = null;

    /**
     * ڋqID
     */
    @InputFileColumn(columnIndex = 2, bytes = 3)
    @OutputFileColumn(columnIndex = 0)
    private String kokyakuid = null;

    /**
     * z
     */
    @InputFileColumn(columnIndex = 3)
    @OutputFileColumn(columnIndex = 1)
    private int nyukin = 0;

    /**
     * 
     */
    @InputFileColumn(columnIndex = 4, bytes = 10, columnFormat = "yyyy-MM-dd")
    @OutputFileColumn(columnIndex = 2, columnFormat = "yyyy/MM/dd")
    private Date torihikibi = null;

    /**
     * IDԋpB
     * @return ID
     */
    public int getId() {
        return id;
    }

    /**
     * IDݒ肷B
     * @param id ID
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     * xXԋpB
     * @return xX
     */
    public String getSiten() {
        return siten;
    }

    /**
     * xXݒ肷B
     * @param siten xX
     */
    public void setSiten(String siten) {
        this.siten = siten;
    }
    
    /**
     * ڋqIDԋpB
     * @return ڋqID
     */
    public String getKokyakuid() {
        return kokyakuid;
    }

    /**
     * ڋqIDݒ肷B
     * @param kokyakuid ڋqID
     */
    public void setKokyakuid(String kokyakuid) {
        this.kokyakuid = kokyakuid;
    }

    /**
     * zԋpB
     * @return z
     */
    public int getNyukin() {
        return nyukin;
    }

    /**
     * zݒ肷B
     * @param nyukin z
     */
    public void setNyukin(int nyukin) {
        this.nyukin = nyukin;
    }

    /**
     * ԋpB
     * @return 
     */
    public Date getTorihikibi() {
        return torihikibi;
    }

    /**
     * ݒ肷B
     * @param torihikibi 
     */
    public void setTorihikibi(Date torihikibi) {
        this.torihikibi = torihikibi;
    }

    /**
     * gf[^t@Chpt@CsIuWFNg̓eo͂B
     * @return gf[^t@Chpt@CsIuWFNg̓e
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(" ID:");
        sb.append(id);
        sb.append(", xX:");
        sb.append(siten);
        sb.append(", ڋqID:");
        sb.append(kokyakuid);
        sb.append(", z:");
        sb.append(nyukin);
        sb.append(", :");
        sb.append(torihikibi);
        return sb.toString();
    }
}
